.TH ktzio n "Version 2.7.0" "Tina Tools"

.SH NAME
ktzio  \- conversion tool for transition systems

Part of Tina Toolbox for analysis of Petri nets and Time Petri nets
(see also nd, tina, struct).

.SH SYNOPSIS

.B ktzio
[\-\f2h\f1elp] [\-i file]
.nf
ktzio [\-\f2h\f1elp] [\-KTZ | \-BCG | \-AUT]
      [\-\f2k\f1tz | \-bcg |\-\f2a\f1ut | \-mec | \-l | \-v | \-q]
      [\-sp n] [\-tp n] [\-g]  [\-bf | \-df]
      [infile] [outfile]

.SH DESCRIPTION

ktzio  converts transition systems  such as  produced by  tina between
various formats.


.SH OPTIONS

.TP
\-\f2h\f1elp Recalls options.

.TP
Interactive mode:

.TP
\-i infile
Reads an lts from file and prints its contents interactively.

.TP
Input format flags:

.TP
\-KTZ | -BCG | -AUT
If no input  file is specified, or specified as  "-", then ktzio reads
an  lts  on  its standard  input,  in  the  format specified  by  this
flag. Default  is -KTZ.  
The  correspondance  between  input  flags, file  extensions  and  lts
formats is:


.nf
flag            file ext        lts format
.fi
.nf
------------------------------------------------------
.fi
.nf
-KTZ            .ktz            tina binary ktz format
.fi
.nf
-BCG            .bcg            bcg tools bcg format
.fi
.nf
-AUT            .aut            aldebaran aut format
.fi

.TP
Output format flags:

.TP
\-ktz | -bcg | -aut | -mec | -l | -v | -q

If no output file is specified, or specified as "-", then ktzio writes
an lts on  its standard output, in the format  specified by this flag.
Default is  -l. Not all combinations  of input and  output formats are
supported.  In  particular, flags -l,  -v, -q are only  meaningful for
KTZ input.  Flags -v, -q produce textual output in the style of tina's
-v, -q  output.  Flags -l scans  the ktz input and  print its contents
like -i above.
The  correspondance  between  output  flags, file  specifications  and
output formats is:

.nf
flag            file ext        lts format
.nf
------------------------------------------------------
.fi
.nf
-ktz            .ktz            tina binary ktz format
.fi
.nf
-bcg            .bcg            bcg tools bcg format
.fi
.nf
-aut            .aut            aldebaran aut format
.fi
.nf
-mec            .mec            mec4 mec format
.fi
.nf
-v              any other       tina -v style output
.fi
.nf
-q              any other       tina -q style output
.fi
.nf
-l              any other       ktz scan
.fi

.TP
Transition system generation options:

.TP
\-sp n: 
Used for ktz to ktz/aut/mec/bcg conversions.
Encoding  of  state  properties  in  output  transition  system  (when
information is present in the input system).
.nf
-sp 0 : no state properties (default for .aut, .bcg)
.fi
.nf
-sp 1 : boolean state properties (default for .mec)
.fi
.nf
-sp 2 : state property for the largest marking
.fi
.nf
-sp 3 : state properties for all markings (default for .ktz)
.fi

.TP
\-tp n:
Used for ktz to ktz/aut/mec/bcg conversions.
Encoding of  transition properties  in output transition  system (when
information is present in the input system):
.fi
.nf
-tp 0 : no transition properties
.fi
.nf
-tp 1 : boolean transition properties (default for all formats)
.fi

.TP
\-g
For ktz to ktz conversions. Removes liveness information if present.

.TP
\-df | \-bf
Tune up flag for bcg to ktz conversions. Default is -df.

.TP
Input source:

.TP
infile
Where the lts is read. If absent  or specified by "-", the lts is read
on standard  input in the format  specified by the  input flags. ktzio
complains if file extension conflits with the input flag, if any.

.TP
Output destination:

.TP
outfile
Where  results  are written,  into  a  format  deduced from  the  file
extension and output flag (see output flags for correspondance). ktzio
complains in  case of conflicts. If  absent or specified  by "-", then
results are written on standard  output in the format specified by the
output flags.



.SH FILES

File nets/FORMATS  specifies syntax of  .net and .ndr  net description
files, and of .aut and .adr automata description files.

.SH EXAMPLES

ktzio -i abp.ktz
.nf
ktzio -v < abp.ktz
.fi
.nf
ktzio abp.ktz abp.aut
.fi
.nf
ktzio -KTZ - abp.aut < abp.ktz
.fi
.nf
ktzio abp.ktz -aut > abp.aut
.fi
.nf
ktzio -KTZ -aut < abp.ktz > abp.aut
.fi
.nf
ktzio -i hp.ktz
.fi


.SH SEE ALSO

nd, tina, struct

.SH AUTHORS
Bernard Berthomieu, LAAS/CNRS, 2000-2004, Bernard.Berthomieu@laas.fr.

